From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] OpenBSD: no need to read data files (logs)
Date: Sat, 12 Jun 2021 23:38:37 +0000
Message-Id: <20210612233838.41085-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

One of the last changes missed this, but it is a NOOP anyway since
"rpath" is not pledged any longer.
---
 chat.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/chat.c b/chat.c
index d92240d..3f6aa71 100644
--- a/chat.c
+++ b/chat.c
@@ -130,7 +130,7 @@ static void parseHash(char *str) {
 static void unveilData(const char *name) {
 	const char *dirs = NULL;
 	for (const char *path; NULL != (path = dataPath(&dirs, name));) {
-		int error = unveil(path, "rwc");
+		int error = unveil(path, "wc");
 		if (error && errno != ENOENT) err(EX_CANTCREAT, "%s", path);
 	}
 }
-- 
2.32.0


